import { IconButton, IconButtonProps, useTheme } from "@mui/material";
import { deepmerge } from "@mui/utils";


export function BurgerButton(props: IconButtonProps) {
    const theme = useTheme();

    return (
        <IconButton
            {...deepmerge({
                sx: {
                    height: 30,
                    width: 30,
                    p: 0,
                    color: "black",
                    "&:hover": {
                        color: theme.palette.purple.main,
                        backgroundColor: "rgb(0 0 0 / 0)",
                    },
                    "&:active": {
                        color: theme.palette.purple.main,
                    },
                },
            }, props)}
        >
            <svg width="30" height="31" viewBox="0 0 30 31" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M28 8.005H3M28 16.005H3M28 24.005H3" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" />
            </svg>
        </IconButton>
    );
}
