import { IconButton, IconButtonProps, useTheme } from "@mui/material";
import { deepmerge } from "@mui/utils";


export function CloseButtonSmall(props: IconButtonProps) {
    const theme = useTheme();

    return (
        <IconButton
            {...deepmerge({
                sx: {
                    height: 12,
                    width: 12,
                    p: 0,
                    color: theme.palette.purple.main,
                    "&:hover": {
                        color: theme.palette.orange.main,
                        backgroundColor: "rgb(0 0 0 / 0)",
                    },
                    "&:active": {
                        color: theme.palette.orange.main,
                    },
                },
            }, props)}
        >
            <svg xmlns="http://www.w3.org/2000/svg" width="100%" height="100%" viewBox="0 0 14 14" fill="none">
                <path d="m13 1.176-12 12M13 13.176l-12-12" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            </svg>
        </IconButton>
    );
}
