import { Discount } from "./discount";


export type PrivilegeCartData = {
    serviceKey: string;
    privilegeId: string;
    description: string;
    price: number;
    amount: number;
    appliedDiscounts: Set<Discount>;
};

export type TariffCartData = {
    name: string;
    id: string;
    price: number;
    isCustom: boolean;
    privileges: PrivilegeCartData[];
};

export type ServiceCartData = {
    serviceKey: string;
    tariffs: TariffCartData[];
    price: number;
};

export type CartData = {
    services: ServiceCartData[];
    priceBeforeDiscounts: number;
    priceAfterDiscounts: number;
    allAppliedDiscounts: Set<Discount>;
}; 
