export interface Discount {
    ID: string;
    Name: string;
    Layer: number;
    Description: string;
    Condition: {
        Period?: {
            From: string;
            To: string;
        };
        User: string;
        UserType?: string;
        Coupon: string;
        PurchasesAmount?: string;
        CartPurchasesAmount?: string;
        Product?: string;
        Term?: string;
        Usage?: string;
        PriceFrom?: string;
        Group?: string;
    };
    Target: {
        Products: {
            ID: string;
            Factor: number;
            Overhelm: boolean;
        }[];
        Factor: number;
        TargetScope: string;
        TargetGroup: string;
        Overhelm: boolean;
    };
    Audit: {
        UpdatedAt: string;
        CreatedAt: string;
        DeletedAt?: string;
        Deleted: boolean;
    };
    Deprecated: boolean;
}
