export interface Privilege {
    name: string;
    privilegeId: string;
    serviceKey: string;
    description: string;
    type: "day" | "count";
    value: PrivilegeValueType;
    price: number;
    amount: number;
}

export interface CustomPrivilege {
    _id: string;
    name: string;
    privilegeId: string;
    serviceKey: string;
    description: string;
    type: "day" | "count";
    value: PrivilegeValueType;
    price: number;
    updatedAt?: string;
    isDeleted?: boolean;
    createdAt?: string;
}

export type PrivilegeMap = Record<string, CustomPrivilege[]>;

export type PrivilegeValueType = "шаблон" | "день" | "МБ" | "заявка";

export type CustomPrivilegeWithAmount = CustomPrivilege & { amount: number; };
