import react from '@vitejs/plugin-react';
import { resolve } from "path";
import { defineConfig } from 'vite';
import dts from 'vite-plugin-dts';

// https://vitejs.dev/config/
export default defineConfig({
    plugins: [react(), dts({ include: ["lib"] })],
    build: {
        lib: {
            entry: resolve(__dirname, "lib/index.ts"),
            formats: ["es"],
            fileName: "index"
        },
        copyPublicDir: false,
        rollupOptions: {
            external: [
                "@emotion/react",
                "@emotion/styled",
                "@mui/icons-material",
                "@mui/material",
                "axios",
                "react-router-dom",
                "react",
                "zustand",
            ],
        },
    }
});
